from unittest import TestCase

import requests
import os


class TestApiStatus(TestCase):
    def test_api_status_200(self):
        url = os.environ.get("POKE_TEST_URL")
        self.assertIsNotNone(url)
        result = requests.get(url)
        self.assertEqual(result.status_code, requests.codes.ok)
